<?php

namespace App\Common\Glossary;

use \App\Core\Template\Output as Output;
use \App\Common\Glossary\Classes\Glossary as Glossary;

class GlossaryController extends \DefaultController{

    protected $_class   = Glossary::class;
    protected $_baseUrl = '/glossary';

    /**
    * Index
    *   Show the main Glossary list
    */
    function index(){
        $list = Array();

        for($i = 0; $i <= 10; $i++){
            $obj = Array();
            $obj['id'] = $i;
            $obj['value'] = md5($i);
            $obj['description'] = sha1($i);
            $list[] = $obj;
        }

        Output::render('index', Array('list' => $list));
    }

    /**
    * Create
    *
    * Render the main Glossary formulary
    */
    function create(){
        Output::render('form', ['id' => 0]);
    }

    /**
    * Store
    *
    * Store the param on the database
    * @param Glossary $glossary
    */
    function store(Glossary $glossary){

    }

    /**
    * Search
    *
    * Store the param on the database
    * @param Glossary $glossary
    */
    function search(){

    }

    /**
    * Show
    *
    * Render one register
    *
    * @param Glossary $glossary
    */
    function show(Glossary $glossary){

    }

    /**
    * Edit
    *
    * Render the formular for a database Glossary
    *
    * @param Glossary $glossary
    */
    function edit(Glossary $glossary){
        Output::render('form', $glossary);
    }

    /**
    * Update
    * Store the changes of the param on the database
    *
    * @param Glossary $glossary
    */
    function update(Glossary $glossary){

    }

    /**
    * Destroy
    * If the object has soft delete.
    *
    * @param Glossary $glossary
    */
    function destroy(Glossary $glossary){

    }

    /**
    * Purge
    * Remove object even with soft delete.
    *
    * @param Glossary $glossary
    */
    function purge(Glossary $glossary){

    }
}